org.apache.maven.artifact.versioning

## Interface ArtifactVersion

All Superinterfaces:
  java.lang.Comparable

All Known Implementing Classes:
  DefaultArtifactVersion

    public interface ArtifactVersion
    extends java.lang.Comparable

Describes an artifact version in terms of its components, converts it to/from a string and compares two versions.

Version:
  $Id: ArtifactVersion.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Brett Porter

### Method Summary

Methods
`int` `getBuildNumber()`
`int` `getIncrementalVersion()`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`java.lang.String` `getQualifier()`
`void` `parseVersion(java.lang.String version)`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### getMajorVersion

    int getMajorVersion()

#### getMinorVersion

    int getMinorVersion()

#### getIncrementalVersion

    int getIncrementalVersion()

#### getBuildNumber

    int getBuildNumber()

#### getQualifier

    java.lang.String getQualifier()

#### parseVersion

    void parseVersion(java.lang.String version)